## org.apache.mahout.df.mapreduce.partial
Class Step0Job.Step0Output

    java.lang.Object
      org.apache.mahout.df.mapreduce.partial.Step0Job.Step0Output

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<Step0Job.Step0Output>, org.apache.hadoop.io.Writable

Enclosing class:
  Step0Job

    public static class Step0Job.Step0Output

extends java.lang.Object
implements org.apache.hadoop.io.Writable, java.lang.Comparable<Step0Job.Step0Output>, java.lang.Cloneable

Output of the step0's mappers

Constructor Summary
`protected` `Step0Job.Step0Output(long firstId, int size)`

Method Summary
`protected Step0Job.Step0Output` `clone()`
`int` `compareTo(Step0Job.Step0Output obj)`
`boolean` `equals(java.lang.Object other)`
`static int[]` `extractFirstIds(Step0Job.Step0Output[] partitions)`
`static int[]` `extractSizes(Step0Job.Step0Output[] partitions)`
`protected long` `getFirstId()`
`protected int` `getSize()`
`int` `hashCode()`
`void` `readFields(java.io.DataInput in)`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Step0Job.Step0Output

    protected Step0Job.Step0Output(long firstId,
                                   int size)

Method Detail

### getFirstId

    protected long getFirstId()

### getSize

    protected int getSize()

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    protected Step0Job.Step0Output clone()

  Overrides:
    `clone` in class `java.lang.Object`

### compareTo

    public int compareTo(Step0Job.Step0Output obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Step0Job.Step0Output>`

### extractFirstIds

    public static int[] extractFirstIds(Step0Job.Step0Output[] partitions)

### extractSizes

    public static int[] extractSizes(Step0Job.Step0Output[] partitions)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.